Subject: bug#16582: Bug: tramp shell command doesn't read stdin

From: Michael Albinus <[email-masked]>
Date: Wed, 05 Feb 2014 11:27:26 +0100

Sylvain Chouleur <[email-masked]> writes:

> That said, we still have the original issue of the bz I raised:
> by executing tramp shell commands in this way:
> exec <<'EOF' bash
> <commands>
> EOF
>
> we loose the possibility to send user inputs to bash, so commands like
> 'read' will not work.
> That's why I proposed the two approaches to handle your problem (long
> line arguments) and my problem (bash stdin)

Please give me a concrete Lisp example how you invoke this. Otherwise I
cannot debug; my examples do work.

Alternatively, tell me what you have entered, starting with "M-x".

Best regards, Michael.